Log::BroadcastBackend - Crystal 0.35.1

# class Log::BroadcastBackend

- Log::BroadcastBackend
- Log::Backend
- Reference
- Object

##
Overview

A backend that broadcast to others backends. Each of the referenced backends may have a different severity level filter.

When this backend level is set that level setting takes precedence over the severity filter of each referenced backend.

This backend is not to be used explicitly. It is used by `Log::Builder` configuration to allow a given source to emit to multiple backends.

##
Defined in:

##
Instance Method Summary

- #append(backend : Log::Backend, level : Severity)
- #close

  Closes underlying resources used by this backend.

- #level : Severity?
- #level=(level : Severity?)
- #write(entry : Entry)

  Writes the entry to this backend.

### Instance methods inherited from class `Log::Backend`

close close, write(entry : Entry) write

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(*values : Object) : Bool
in?(collection) : Bool in?, inspect : String
inspect(io : IO) : Nil inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(io : IO, indent : String = " ")
to_pretty_json(indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Instance Method Detail

def append(backend : Log::Backend, level : Severity) #
def close #
Description copied from class Log::Backend

Closes underlying resources used by this backend.

def level : Severity? #
def level=(level : Severity?) #
def write(entry : Entry) #
Description copied from class Log::Backend

Writes the entry to this backend.